Page 1 of 2 12 LastLast
Results 1 to 10 of 73

Thread: HOWTO: Upgrade Xubuntu to Xfce 4.4rc1

Hybrid View

  1. #1
    Join Date
    Apr 2005
    Location
    Finland
    Beans
    133

    HOWTO: Upgrade Xubuntu to Xfce 4.4rc1

    As you probably know Xubuntu uses version Beta1 of the upcoming Xfce 4.4 desktop environment. It has since been updated twice, to Beta2 and most recently Release Candidate 1. If you want to know what's new in them you can find the changelogs here(B2) and here(RC1). And over here you can find a nice visual explanation about the new features that Thunar 0.4.0 has, the biggest one probably being the addition of Trash.
    Click image for larger version. 

Name:	Thunar.png 
Views:	382 
Size:	64.8 KB 
ID:	15344

    NOTE: I can't guarantee that I've found all the dependencies yet. If your installation aborts due to a missing one and you restart your system, your themes will look messed up and Xfce might act a bit strange but it shouldn't be anything too serious. Installing the missing dependencies and completing the installation will fix this. Or atleast it did for me I take no responsability of broken systems, updating your desktop environment is quite a big operation so proceed with caution.

    EDIT: Many people seem to be getting an error at every startup that says: Unable to contact the Xfce trash service. Read the solution below.

    Possible problems:
    • For some people USB has stopped working. In my experience installing gnome-volume-manager fixes these problems.
    • xarchiver permanently took over file-roller that I'd like to use as the default archiver in Gnome.


    You can run the installer in your existing Xfce or Gnome desktop. Apparently you can also install it from Ubuntu without xubuntu-desktop although I haven't tried it myself. I've only tried it in Dapper, not sure if it works in Edgy. This topic does have one reply that says that it doesn't.


    1. Install the dependencies
    Paste this into the terminal:
    Code:
    sudo apt-get install build-essential libxml-parser-perl libgtk2.0-dev libxml2-dev libvte-dev libxpm-dev libdbh1.0-dev libxfce4mcs-dev liburi-perl libCGI-perl libwww-perl libxml-perl libdbus-1-dev libdbus-glib-1-dev xorg-dev
    2. Get Xfce 4.4rc1
    Download it from here or just paste this to the terminal:
    Code:
    wget http://www.xfce.org/archive/xfce-4.3.99.1/installers/xfce4-4.4RC1-installer.run
    3. Run the installer
    After the download has finished go to the terminal and the directory where the .run file is and type:
    Code:
    chmod +x xfce4-4.4RC1-installer.run
    Then:
    Code:
    sudo ./xfce4-4.4RC1-installer.run
    4. Choose the options
    The installer is a pretty straightforward wizard but you do need to note a few things:
    • The correct installation folder is /usr/local, this is the default when you run it with sudo
    • Decide if you need a composition manager. I wouldn't recommend for older maschine.
    • Extra optimizations have worked fine for me. Read the description and decide if you want them.
    • Configure display manager. I've chosen yes for this one.
    • Choosing the sound manager is a bit more tricky one. I think Xfce uses OSS by default but you can enable ALSA from this option. I chose yes for my newer computer and no for my older one. Sound works on both but on the newer computer I can't control it from the panel thingy anymore. So I'd choose no, don't enable ALSA.


    5. Wait
    The installer takes a while. If it doesn't complete successfully then it's missing some dependecies. Please tell me if you get errors. Starting it again and completing successfully will fix the problems an aborted installation might have caused.


    6. Done
    Enjoy your new Xfce 4.4rc1 Might take a restart to get er up and running completely, not sure.


    7. Old Thunar getting in the way? (optional)
    I noticed that even though the installer successfully installed Thunar 0.4.0, the older 0.3.1 still popped up every now and then. Xubuntu couldn't decide which to use so it was pretty random, though mostly 0.3.1. Maybe it's because it's still the version in Synaptic.

    To fix this I installed a Thunar 0.4.1 from svn. Beware that it might not be as stable as 0.4.0 for example. Here are the instuctions. Don't use the debs, they're pretty old. If you get an error during thunar configuration about tar-ustar then install automake1.9.

    To completely replace 0.3.1 I replaced that HOWTO's last command, sudo make install (for thunar directory) with
    Code:
    sudo checkinstall
    so that it would replace it for good. Of course you have to first install it with
    Code:
    sudo apt-get install checkinstall
    The version number for Thunar when using checkinstall seems to be incredibly long and is causing troubles for some. If you notice that's it's a long list of numbers then change it to 0.4.1svn for example. Now you can enjoy a brand spanking new Thunar with a trash can and everything


    8. Fixing the trash error at startup (optional)
    The error's being caused by xfdesktop being loaded before Thunar.
    Paste this into terminal:
    Code:
    sudo cp /usr/local/etc/xdg/xfce4-session/xfce4-session.rc /usr/local/etc/xdg/xfce4-session/xfce4-session.rc_backup
    
    sudo gedit /usr/local/etc/xdg/xfce4-session/xfce4-session.rc
    Then switch the commands of Client2_Command and Client3_Command so that it looks like this:
    Code:
    Count=4
    Client0_Command=xfwm4
    Client0_PerScreen=False
    Client1_Command=xfce4-panel
    Client1_PerScreen=False
    Client2_Command=Thunar,--daemon
    Client2_PerScreen=False
    Client3_Command=xfdesktop
    Client3_PerScreen=False
    This way Thunar loads before xfdesktop.

    Okay, that should be it. During the next login remember to change your default session from Xfce 4.2 to Xfce 4 (or from 4 to 4.4, seems to vary a bit). If you have any problems, especially with dependencies, report them here.


    P.S.
    Here's the thread that inspired this HOWTO.
    Thanks for the additional help videodrome.
    Last edited by SlugO; October 18th, 2006 at 04:11 PM. Reason: Added most of the fixes and solutions presented in this topic

  2. #2
    Join Date
    Jun 2006
    Beans
    156

    Re: HOWTO: Upgrade Xubuntu to Xfce 4.4rc1

    thanks for this. will it work on my 64-bit machine running ubuntu x64?
    gaming: win xp, ubuntu edgy <> e6300 <> evga 7900GT <> Raptor 36gb <> supertalent ddr2-667 <> gamextreme 700w <> antec 900
    server: ubuntu server <> 1.5 TB RAID5 linux software raid

  3. #3
    Join Date
    Apr 2005
    Location
    Finland
    Beans
    133

    Re: HOWTO: Upgrade Xubuntu to Xfce 4.4rc1

    Quote Originally Posted by gurgle View Post
    thanks for this. will it work on my 64-bit machine running ubuntu x64?
    Hmm.. I'm not sure. There's just a .run installer that doesn't mention anything about platforms. It seems to configure and install the programs from source so there aren't binaries inside. My guess is that it will work.
    Last edited by SlugO; September 5th, 2006 at 06:28 PM.

  4. #4
    Join Date
    Jun 2006
    Beans
    156

    Re: HOWTO: Upgrade Xubuntu to Xfce 4.4rc1

    should i run this from a already-install version of xubuntu? if so, should i use the edgy 2 release or the 6.06 lts version?
    gaming: win xp, ubuntu edgy <> e6300 <> evga 7900GT <> Raptor 36gb <> supertalent ddr2-667 <> gamextreme 700w <> antec 900
    server: ubuntu server <> 1.5 TB RAID5 linux software raid

  5. #5
    Join Date
    Apr 2005
    Location
    Finland
    Beans
    133

    Re: HOWTO: Upgrade Xubuntu to Xfce 4.4rc1

    Quote Originally Posted by gurgle View Post
    should i run this from a already-install version of xubuntu? if so, should i use the edgy 2 release or the 6.06 lts version?
    You can start the installer in an existing (X)Ubuntu. In other words, it can be run in both Gnome and Xfce (as long as you have xubuntu-desktop installed). As for Edgy it probably will work the same way. These aren't distro oriented packages or anything.
    Last edited by SlugO; September 5th, 2006 at 09:16 PM.

  6. #6
    Join Date
    Aug 2006
    Beans
    12
    Distro
    Ubuntu 7.04 Feisty Fawn

    Re: HOWTO: Upgrade Xubuntu to Xfce 4.4rc1

    Quote Originally Posted by SlugO View Post
    You can start the installer in an existing (X)Ubuntu. In other words, it can be run in both Gnome and Xfce (as long as you have xubuntu-desktop installed).

    Actually, SlugO, I followed your directions basically from a fresh Dapper install, and they worked without flaw. I did compile Thunar from SVN to see if I could get rid of the Trash error (I couldn't), but that was my only deviation. All in all, this is a great how-to!

  7. #7
    Join Date
    Apr 2005
    Location
    Finland
    Beans
    133

    Re: HOWTO: Upgrade Xubuntu to Xfce 4.4rc1

    Sorry, double post. Damn on/off forum connection...

  8. #8
    Join Date
    Nov 2004
    Location
    New Zealand
    Beans
    23
    Distro
    Ubuntu 6.06

    Re: HOWTO: Upgrade Xubuntu to Xfce 4.4rc1

    Thanks SlugO

    I had to install xorg-dev too before I could compile XFCE

  9. #9
    Join Date
    Aug 2006
    Location
    Sweden
    Beans
    38
    Distro
    Ubuntu 7.04 Feisty Fawn

    Re: HOWTO: Upgrade Xubuntu to Xfce 4.4rc1

    I think i've sucessfully installed thunar and xfce but now everytime i start the computer i get an error that says: Unable to contact the xfce trash service.
    Make sure you have a file manager installed that supports the xfce trash service such as thunar.

    Help me please

  10. #10
    Join Date
    Dec 2004
    Location
    Waterford, MI
    Beans
    1,041
    Distro
    Kubuntu

    Re: HOWTO: Upgrade Xubuntu to Xfce 4.4rc1

    Won't work for me in Edgy. I have posted the relevant output below. The log file is too big and it freezes Firefox when I try to post all of it.

    Code:
    mkdir: cannot create directory `/usr/local/man': File exists
    make[3]: *** [install-man1] Error 1
    make[3]: Leaving directory `/tmp/xfce4-4.4RC1-installer/exo/docs/reference'
    make[2]: *** [install-am] Error 2
    make[2]: Leaving directory `/tmp/xfce4-4.4RC1-installer/exo/docs/reference'
    make[1]: *** [install-recursive] Error 1
    make[1]: Leaving directory `/tmp/xfce4-4.4RC1-installer/exo/docs'
    make: *** [install-recursive] Error 1
    !! Failed to install exo to /usr/local, see the errors
    !! above for details on the problem.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •